# Method: documents.analyzeEntitySentiment

- [HTTP request](https://docs.cloud.google.com/natural-language/docs/reference/rest/v1/documents/analyzeEntitySentiment#body.HTTP_TEMPLATE)
- [Request body](https://docs.cloud.google.com/natural-language/docs/reference/rest/v1/documents/analyzeEntitySentiment#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/natural-language/docs/reference/rest/v1/documents/analyzeEntitySentiment#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/natural-language/docs/reference/rest/v1/documents/analyzeEntitySentiment#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/natural-language/docs/reference/rest/v1/documents/analyzeEntitySentiment#body.AnalyzeEntitySentimentResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/natural-language/docs/reference/rest/v1/documents/analyzeEntitySentiment#body.aspect)
- [Try it!](https://docs.cloud.google.com/natural-language/docs/reference/rest/v1/documents/analyzeEntitySentiment#try-it)

Finds entities, similar to `https://docs.cloud.google.com/natural-language/docs/reference/rest/v1/documents/analyzeEntities#google.cloud.language.v1.LanguageService.AnalyzeEntities` in the text and analyzes sentiment associated with each entity and its mentions.

### HTTP request

`POST https://language.googleapis.com/v1/documents:analyzeEntitySentiment`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "document": { object (`https://docs.cloud.google.com/natural-language/docs/reference/rest/v1/documents#Document`) }, "encodingType": enum (`https://docs.cloud.google.com/natural-language/docs/reference/rest/v1/EncodingType`) } ``` |

| Fields ||
|---|---|
| `document` | ``object (`https://docs.cloud.google.com/natural-language/docs/reference/rest/v1/documents#Document`)`` Required. Input document. |
| `encodingType` | ``enum (`https://docs.cloud.google.com/natural-language/docs/reference/rest/v1/EncodingType`)`` The encoding type used by the API to calculate offsets. |

### Response body

The entity-level sentiment analysis response message.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "entities": [ { object (`https://docs.cloud.google.com/natural-language/docs/reference/rest/v1/Entity`) } ], "language": string } ``` |

| Fields ||
|---|---|
| `entities[]` | ``object (`https://docs.cloud.google.com/natural-language/docs/reference/rest/v1/Entity`)`` The recognized entities in the input document with associated sentiments. |
| `language` | `string` The language of the text, which will be the same as the language specified in the request or, if not specified, the automatically-detected language. See `https://docs.cloud.google.com/natural-language/docs/reference/rest/v1/documents#Document.FIELDS.language` field for more details. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-language`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).